Subject: bug#35385: 27.0.50; Make dired-dwim-target aware of other frames

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 13:36:53 +0200

Michael Heerdegen <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>> >> Maybe the value 't' should use the old behavior.
>> >
>> > That's what I thought, too.
>>
>> Now this is implemented.
>
> Tested quickly, seems to work well so far.  I'll continue to use it.

If I understand correctly, this was fixed by extending dired-dwim-target
with this:

          (function-item :tag "Prefer next windows on the same frame"
                         dired-dwim-target-next)
          (function-item :tag "Prefer next windows on visible frames"
                         dired-dwim-target-next-visible)

instead of adding a new variable, as the original patch proposed.  So
I'm closing this bug report; if there was anything further to fix here,
please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no